digiKam Developer Documentation: Digikam::DColorValueSelector Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Properties | Friends | List of all members
Digikam::DColorValueSelector Class Reference
Inheritance diagram for Digikam::DColorValueSelector:

## Public Member Functions
| DColorValueSelector (Qt::Orientation o, QWidget *const parent=nullptr)
| DColorValueSelector (QWidget *const parent=nullptr)
DColorChooserMode | chooserMode () const
| Returns the current chooser mode.
int | colorValue () const
| Returns the current color value.
int | hue () const
| Returns the current hue value.
int | saturation () const
| Returns the current saturation value.
void | setChooserMode (DColorChooserMode chooserMode)
| Sets the chooser mode.
void | setColorValue (int colorValue)
| Sets the color value.
void | setHue (int hue)
| Sets the hue value.
void | setSaturation (int saturation)
| Sets the saturation value.
void | updateContents ()
| Updates the widget's contents.
Public Member Functions inherited from Digikam::DSelector
| DSelector (Qt::Orientation o, QWidget *const parent=nullptr)
| DSelector (QWidget *const parent=nullptr)
Qt::ArrowType | arrowDirection () const
QRect | contentsRect () const
bool | indent () const
void | setArrowDirection (Qt::ArrowType direction)
| Sets the arrow direction.
void | setIndent (bool i)
| Sets the indent option of the widget to i.

## Protected Member Functions
void | drawContents (QPainter *) override
| Reimplemented from DSelector.
virtual void | drawPalette (QPixmap *)
| Draws the contents of the widget on a pixmap, which is used for buffering.
void | resizeEvent (QResizeEvent *) override
Protected Member Functions inherited from Digikam::DSelector
virtual void | drawArrow (QPainter *painter, const QPoint &pos)
| Override this function to draw the cursor which indicates the current value.
void | mouseMoveEvent (QMouseEvent *e) override
void | mousePressEvent (QMouseEvent *e) override
void | mouseReleaseEvent (QMouseEvent *e) override
void | paintEvent (QPaintEvent *) override
void | wheelEvent (QWheelEvent *) override

## Properties
int | colorValue
int | hue
int | saturation
Properties inherited from Digikam::DSelector
Qt::ArrowType | arrowDirection
bool | indent
int | maxValue
int | minValue
int | value

## Friends
class | Private

## Member Function Documentation

## ◆ chooserMode()

DColorChooserMode Digikam::DColorValueSelector::chooserMode | ( |  | ) | const

Returns
  The chooser mode (one of the DColorChooserMode constants)

## ◆ colorValue()

int Digikam::DColorValueSelector::colorValue | ( |  | ) | const

Returns
  The color value (0-255)

## ◆ drawContents()

void Digikam::DColorValueSelector::drawContents | ( | QPainter * | painter | ) |
| overrideprotectedvirtual

The drawing is buffered in a pixmap here. As real drawing routine, drawPalette() is used.

Reimplemented from Digikam::DSelector.

## ◆ hue()

int Digikam::DColorValueSelector::hue | ( |  | ) | const

Returns
  The hue value (0-359)

## ◆ saturation()

int Digikam::DColorValueSelector::saturation | ( |  | ) | const

Returns
  The saturation value (0-255)

## ◆ setChooserMode()

void Digikam::DColorValueSelector::setChooserMode | ( | DColorChooserMode | chooserMode | ) |

Doesn't automatically update the widget; you have to call updateContents manually.

Parameters

  chooserMode | Sets the chooser mode (one of the DColorChooserMode constants)

## ◆ setColorValue()

void Digikam::DColorValueSelector::setColorValue | ( | int | colorValue | ) |

Doesn't automatically update the widget; you have to call updateContents manually.

Parameters

  colorValue | Sets the color value (0-255)

## ◆ setHue()

void Digikam::DColorValueSelector::setHue | ( | int | hue | ) |

Doesn't automatically update the widget; you have to call updateContents manually.

Parameters

  hue | Sets the hue value (0-359)

## ◆ setSaturation()

void Digikam::DColorValueSelector::setSaturation | ( | int | saturation | ) |

Doesn't automatically update the widget; you have to call updateContents manually.

Parameters

  saturation | Sets the saturation value (0-255)